/*
 * Copyright (C) 2018 FaVdB
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package storybook.ui;

import java.util.Enumeration;
import java.util.Locale;
import java.util.ResourceBundle;
import i18n.I18N;

/**
 *
 * @author FaVdB
 */
public class SbLayout {

	public SbLayout() {
	}

	public int getNbLayout() {
		int n = 0;
		ResourceBundle rsrc = I18N.getResourceBundle();
		Enumeration bundleKeys = rsrc.getKeys();
		while (bundleKeys.hasMoreElements()) {
			String key = (String) bundleKeys.nextElement();
			if (key.startsWith("docking.layout.")) {
				n++;
			}
		}
		return (n);
	}

	public String getName(int i) {
		int n = 0;
		ResourceBundle rsrc = ResourceBundle.getBundle("storybook.msg.messages", Locale.getDefault());
		Enumeration bundleKeys = rsrc.getKeys();
		while (bundleKeys.hasMoreElements()) {
			String key = (String) bundleKeys.nextElement();
			if (key.startsWith("docking.layout.")) {
				if (n == i) {
					return (I18N.getMsg(key));
				}
				n++;
			}
		}
		return ("");
	}

	public String getValue(String searchKey) {
		ResourceBundle rsrc = I18N.getResourceBundle();
		Enumeration bundleKeys = rsrc.getKeys();
		while (bundleKeys.hasMoreElements()) {
			String key = (String) bundleKeys.nextElement();
			if (key.equals(searchKey)) {
				return (rsrc.getString(key));
			}
		}
		return ("");
	}

}
